# Get OIDC Configuration GET /api/v1/enterprises/oidc/config/ Get OIDC configuration for the enterprise domain. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/enterprises/oidc-config-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/enterprises/oidc/config/: get: operationId: oidc-config-retrieve summary: Get OIDC Configuration description: Get OIDC configuration for the enterprise domain. tags: - subpackage_enterprises responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/EnterpriseOIDCConfig' '404': description: Enterprise domain not found content: application/json: schema: description: Any type components: schemas: EnterpriseOIDCConfig: type: object properties: id: type: integer enterprise_domain: type: integer client_id: type: string client_secret: type: string client_secret_masked: type: string discovery_url: type: - string - 'null' format: uri description: OIDC Discovery URL (e.g. /.well-known/openid-configuration) authorization_endpoint: type: - string - 'null' format: uri token_endpoint: type: - string - 'null' format: uri userinfo_endpoint: type: - string - 'null' format: uri created_at: type: string format: date-time updated_at: type: string format: date-time required: - id - enterprise_domain - client_id - client_secret - client_secret_masked - created_at - updated_at title: EnterpriseOIDCConfig ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/enterprises/oidc/config/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/enterprises/oidc/config/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/enterprises/oidc/config/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/enterprises/oidc/config/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/enterprises/oidc/config/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/enterprises/oidc/config/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/enterprises/oidc/config/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/enterprises/oidc/config/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```